// Place your application-specific JavaScript functions and classes here
// This file is automatically included by javascript_include_tag :defaults

$(function () {
  $('#sidebar a, #main a.nav').live('click',  
    function () {  
      $.getScript(this.href);
			history.pushState(null, document.title, this.href); 
      return false;  
    }  
  );

	$('.form').live('submit', function () { 
    $.post(this.action, $(this).serialize(), null, 'script');  
    return false;  
  });

	$(window).bind("popstate", function () {  
    $.getScript(location.href);  
  });
});